<%--
    Document   : UserCreation
    Created on : May 15, 2019, 6:00:55 PM
    Author     : 1242938
--%>

<%@page import="java.sql.Statement"%>
<%@page import="java.sql.ResultSet"%>
<%@page import="java.sql.Connection"%>
<%@page import="java.util.Date"%>
<%@page import="LoginDb.DbHandler"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="java.util.UUID" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">
<%String uuid = UUID.randomUUID().toString();%>
<% try {
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>User Creation</title>
        <link rel="shortcut icon" href="${pageContext.request.contextPath}/img/favicon.ico" type="image/x-icon" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/TableCSSCode.css" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/styles.css?pacs=<%=((new java.util.Date()).getTime())%>"/>
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/ButtonAndText.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <link rel="stylesheet" type="text/css" href="/PacsApplication/css/info.css?pacs=<%=((new java.util.Date()).getTime())%>" />
        <script src="${pageContext.request.contextPath}/js/Calendar.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="${pageContext.request.contextPath}/jquery-ui-1.10.4.custom/development-bundle/jquery-1.10.2.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/chromejs/chrome.js?pacs=<%=((new java.util.Date()).getTime())%>"></script>
        <script type="text/javascript" src="/PacsApplication/js/iFrame_killer.js"></script>

        <style>
            .beforeAccSrch {
                display: none;
            }
        </style>
    </head>
    <body  onload="noBack()">
        <script type="text/javascript">
            function noBack()
            {
                window.history.forward();
                document.getElementById("limitBody").style.visibility = 'hidden';
                document.getElementById("flag").style.visibility = 'hidden';
            }

            function ShowParent()
            {

                document.forms[0].action = "${pageContext.request.contextPath}/Deposit/UserCreation.jsp";
                document.forms[0].submit();
            }
            function popup_user(width, height)
            {
                if (window.innerWidth) {
                    LeftPosition = (window.innerWidth - width) / 2;
                    TopPosition = ((window.innerHeight - height) / 2) - 20;
                }
                else {
                    LeftPosition = (parseInt(window.screen.width) - width) / 2;
                    TopPosition = ((parseInt(window.screen.height) - height) / 2) - 20;
                }
                attr = 'resizable=yes,scrollbars=yes,width=' + width + ',height=' +
                    height + ',screenX=300,screenY=200,left=' + LeftPosition + ',top=' +
                    TopPosition + '';
                var screenName = "UserCreation.jsp";
                var  lovKey="UserSrch"
                popWin = open('${pageContext.request.contextPath}/CommonSearchInfoLOVNew.jsp?screenName=' + screenName+'&lovKey='+lovKey, 'UserSrch', attr);
                popWin.focus();

                onChange();
            }
            function submitform()
            {
                if(validateForm()){
                    document.UserCreation.action = '/PacsApplication/UserCreationServlet';
                    document.UserCreation.submit();
                }
            }
            function validateForm()
            {
                if($('#userName').val() == "")
                {
                    alert("User Name cannot be blank.");
                    UserCreation.userName.focus();
                    return false;
                }
                if($('#userRole1').val() == "")
                {
                    alert("User Role cannot be blank.");
                    UserCreation.userRole1.focus(); 
                    return false;
                }
                if($('#userRole1').val() == "DDS TELLER")
                {
                    onChange();
                    if($('#limit').val() == "")
                    {
                        alert("DDS Limit cannot be blank.");
                        UserCreation.limit.focus();
                        return false;
                    }
                }
                if($('#ipFlag').val() == "")
                {
                    alert("Please select IP Flag.");
                    UserCreation.ipFlag.focus(); 
                    return false;
                }
                if($('#ipFlag').val() == "Y")
                {
                    if($('#staticIP').val() == "")
                    {    
                        alert("Please enter Static IP.");
                        UserCreation.staticIP.focus(); 
                        return false;
                    }    
                }
                
                return true;
            }            
            function onChange()
            {                
                var userNm = document.getElementById("userRole1").value;

                if( userNm == "DDS TELLER" ){
                    document.getElementById("limitBody").style.visibility = 'visible';
                }
                else{
                    document.getElementById("limitBody").style.visibility = 'hidden';
                }              
             }
             function checkop() {
                var opt = document.getElementById("ipFlag").value;
               
                if( opt == "" || opt == "N"){
                    document.getElementById("flag").style.visibility = "hidden";
                    document.getElementById("b1").style.visibility = "visible";
                    document.getElementById("b1").style.visibility = "visible";
                }
                else if( opt == "Y" ){
                    document.getElementById("flag").style.visibility = "visible";
                    document.getElementById("b1").style.visibility = "visible";
                    document.getElementById("b1").style.visibility = "visible";
                }                                
            }
            
        // to restrict back button
            history.pushState(null, null, location.href);
            window.addEventListener('popstate', function(event) {
                history.pushState(null, null, location.href);
            });
            
        </script>

        <jsp:include page="MenuHead_Deposit.jsp" flush="true" />
        <br>

        <%!
            String blankNull(String s) {
                return (s == null) ? "" : s;
            }
        %>
          <%

                 String error_msg = "";
                 Object error = request.getAttribute("message1");
                  if (error != null) {
                     error_msg = error.toString();

                 }
         %>

        <fieldset style="border-color: black; background-image: url('/PacsApplication/img/download.jpg'); border-width: 3px">
            <legend style="padding: 8px; border-radius: 20px; background-color: #006600; color: white">User Creation</legend>
            <%if (!error_msg.equalsIgnoreCase("")) {%>
                    <center><div class="info" id="errorMessage"><center><%= error_msg%></center></div></center>
                    <% }%>
            <form name="UserCreation" id="UserCreation" action="" method="post">

                    <tr></tr><tr></tr><tr></tr>
                    <tr></tr><tr></tr><tr></tr>
                    <table>
                        <tbody>
                            <tr></tr><tr></tr><tr></tr>
                            <tr></tr><tr></tr><tr></tr>
                            <%--<tr>
                                <td><input type="button" value="Search User" onclick="javascript:popup_user(500,300);" onclick="onChange()" /></td>
                            </tr>
                            <tr></tr><tr></tr><tr></tr>
                            <tr></tr><tr></tr><tr></tr>--%> 
                            <tr id="b1">
                                <td>User Name<font color="red" >*</font>:</td>
                                <td><input type="text" size="30" name="userName" id="userName" Value="" onclick="onChange()" onkeypress="onChange()" /></td>
                                
                            </tr>  
                            <tr></tr><tr></tr><tr></tr>
                            <tr id="b2">
                                <td>User Role<font color="red" >*</font>:</td>
                                <td><input type="text" readonly size="20" name="userRole1" id="userRole1" value="" onclick="onChange()" onkeypress="onChange()" /></td>
                                <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
                                <td><input type="button" value="Search Role" onclick="javascript:popup_user(500,300);" onclick="onChange()" /></td>
                            </tr>
                            <tr></tr><tr></tr><tr></tr>
                            <tr><td><lable>Select IP Flag<font color="red" >*</font>: </lable></td>
                            <td><select id="ipFlag" onchange="checkop()" onclick="onChange()" name="ipFlag" >
                                <option value="" > --Select-- </option>
                                <option value="Y" >Yes</option>
                                <option value="N" >No</option>
                            </select>
                            </td></tr><tr></tr><tr></tr>
                            <tr id="flag">
                                <td>Static IP<font color="red" >*</font>:</td>
                                <td><input type="text" size="30" name="staticIP" id="staticIP" value="" onkeypress='return event.charCode >= 46 && event.charCode <= 57 && event.charCode != 47' onclick="onChange()"/></td>
                                </tr><tr></tr>
                            <tr></tr><tr></tr><tr></tr>
                            <tr id="limitBody">
                                <td>DDS Limit:</td>
                                <td><input type="text" size="20" name="limit" id="limit" value="" /></td>
                            </tr><tr></tr>
                            <tr></tr>
                            <tr>
                                <td><input type="hidden" name="userRole" id="userRole" Value="" /></td>
                            </tr>
                        </tbody>

                    </table>
                    <br>
                    <center>  
                    <input type="button" value="Submit" id="Submit" onclick="submitform();" />
                    <input type="button" value="Reset" id="Reset" onclick="ShowParent();" />

                </center>
            </form>
        </fieldset>
    </body>
</html>
<% 	} catch (Exception e) {
                
            }
%>